For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Address object
          • GET/addresses/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAddresses

/addresses/{id}

GET
/accounting/v1/addresses/:id
GET
/api/accounting/v1/addresses/:id
$curl -G https://api.merge.dev/api/accounting/v1/addresses/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d remote_fields=type \
> -d show_enum_origins=type
200Retrieved
1{
2 "created_at": "2021-09-15T00:00:00Z",
3 "modified_at": "2021-10-16T00:00:00Z",
4 "type": "SHIPPING",
5 "street_1": "2920 Broadway",
6 "street_2": "2nd Floor",
7 "city": "New York",
8 "state": null,
9 "country_subdivision": "NY",
10 "country": "US",
11 "zip_code": "10027"
12}

Returns an Address object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Address object

Next

The AccountingAttachment object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
typeenum or null

The address type.

  • BILLING - BILLING
  • SHIPPING - SHIPPING
Allowed values:
street_1string or null
Line 1 of the address's street.
street_2string or null
Line 2 of the address's street.
citystring or null
The address's city.
stateany or nullRead-only
The address's state or region.
country_subdivisionstring or null
The address's state or region.
countryenum or null

The address’s country. The country code in ISO 3166-1 alpha-2 format.

zip_codestring or null
The address's zip code.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more